- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_screensaver_notify_event_t Struct Reference
[XCB ScreenSaver API]

xcb_screensaver_notify_event_t More...

`#include <screensaver.h>`

## Data Fields
uint8_t | response_type
uint8_t | code
uint16_t | sequence
uint8_t | state
uint16_t | sequence_number
xcb_timestamp_t | time
xcb_window_t | root
xcb_window_t | window
uint8_t | kind
uint8_t | forced
uint8_t | pad0 [14]

## Detailed Description

xcb_screensaver_notify_event_t

## Field Documentation

uint8_t xcb_screensaver_notify_event_t::response_type

uint8_t xcb_screensaver_notify_event_t::code

uint16_t xcb_screensaver_notify_event_t::sequence

uint8_t xcb_screensaver_notify_event_t::state

uint16_t xcb_screensaver_notify_event_t::sequence_number

xcb_timestamp_t xcb_screensaver_notify_event_t::time

xcb_window_t xcb_screensaver_notify_event_t::root

xcb_window_t xcb_screensaver_notify_event_t::window

uint8_t xcb_screensaver_notify_event_t::kind

uint8_t xcb_screensaver_notify_event_t::forced

uint8_t xcb_screensaver_notify_event_t::pad0[14]

The documentation for this struct was generated from the following file:

- screensaver.h